RubyGems Navigation menu

rubocop 0.40.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.30.1 - June 06, 2022 (532 KB)
  2. 1.30.0 - May 26, 2022 (531 KB)
  3. 1.29.1 - May 12, 2022 (528 KB)
  4. 1.29.0 - May 06, 2022 (528 KB)
  5. 1.28.2 - April 25, 2022 (525 KB)
  6. 0.40.0 - May 09, 2016 (251 KB)
Show all versions (208 total)

Runtime Dependencies (5):

  • parser < 3.0, >= 2.3.1.0
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    ddca83f353721240eb3563c2d9b5fb7e9928845058a6a49f23aab79d25ca83f6

    Total downloads 238,154,009

    For this version 1,454,165

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 1.9.3

    Requires MFA accounts: true

    Links: